---
title: MessagePort.start()
slug: Web/API/MessagePort/start
tags:
  - API
  - Channel messaging
  - MessagePort
  - Method
  - Reference
  - start
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>start()</strong></code> method of the {{domxref("MessagePort")}} interface starts the sending of messages queued on the port. This method is only needed when using {{domxref("EventTarget.addEventListener")}}; it is implied when using {{domxref("MessageChannel.onmessage")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">port.start()</pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Example">Example</h2>

<p>In the following code block, you can see a <code>handleMessage</code> handler function, run when a message is sent back to this document using <code>onmessage</code>:</p>

<pre class="brush: js">channel.port1.onmessage = handleMessage;
function handleMessage(e) {
  para.innerHTML = e.data;
}   </pre>

<p>Another option would be to do this using {{domxref("EventTarget.addEventListener")}}, however, when this method is used, you need to explicitly call <code>start()</code> to begin the flow of messages to this document:</p>

<pre class="brush: js">channel.port1.addEventListener('message', handleMessage, false);
function handleMessage(e) {
  para.innerHTML = e.data;
  textInput.value = '';
}

channel.port1.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'web-messaging.html#dom-messageport-start', 'start()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MessagePort.start")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Channel_Messaging_API/Using_channel_messaging">Using channel messaging</a></li>
</ul>
